namespace ScrewsMaster
{
    public class MaskUI : BaseUI
    {
        private MaskUICtrl ctrl;
        private MaskModel model;
        private FGUI.SC004_Mask.com_Mask ui;

        public MaskUI(MaskUICtrl ctrl) : base(ctrl)
        {
            uiName = UIConst.MaskUI;
            this.ctrl = ctrl;
        }

        protected override void SetUIInfo(UIInfo uiInfo)
        {
            uiInfo.packageName = "SC004_Mask";
            uiInfo.assetName = "com_Mask";
            uiInfo.layerType = UILayerType.System;
        }

        #region 生命周期

        protected override void OnInit()
        {

        }

        protected override void OnClose()
        {
            CommonHelper.FadeOut(ui);
        }

        protected override void OnBind()
        {

        }

        protected override void OnOpenBefore(object args)
        {
        }

        protected override void OnOpen(object args)
        {
            CommonHelper.FadeIn(ui);
        }



        #endregion


    }
}